/// <reference types="react" />
import { Application, SystemCenter } from '@gpa-gemstone/application-typings';
import { IAdditionalFieldSlice, IGenericSlice, ISecurityRoleSlice, IUserAccountSlice } from '../SliceInterfaces';
interface IProps {
    UserID: string;
    OnDelete: () => void;
    SecurityRoleSlice: ISecurityRoleSlice;
    UserSlice: IUserAccountSlice;
    AdditionalFieldSlice: IAdditionalFieldSlice<Application.Types.iAdditionalUserField, Application.Types.iAdditionalUserFieldValue>;
    ValueListItemSlice: IGenericSlice<SystemCenter.Types.ValueListItem>;
    ValueListGroupSlice: IGenericSlice<SystemCenter.Types.ValueListGroup>;
}
declare function User(props: IProps): JSX.Element;
export default User;
