/// <reference types="react" />
import { OpenXDA } from '@gpa-gemstone/application-typings';
import { IGenericSlice } from './SliceInterfaces';
interface IProps {
    NoteTypes: OpenXDA.Types.NoteType[];
    NoteTags: OpenXDA.Types.NoteTag[];
    NoteApplications: OpenXDA.Types.NoteApplication[];
    MaxHeight: number;
    Title?: string;
    ReferenceTableID?: number;
    NoteSlice: IGenericSlice<OpenXDA.Types.Note>;
    AllowEdit?: boolean;
    AllowRemove?: boolean;
    AllowAdd?: boolean;
}
declare function Note(props: IProps): JSX.Element;
export default Note;
