import { Column } from "@gpa-gemstone/react-table";
import * as React from 'react';
import { GenericSlice } from "@gpa-gemstone/react-interactive";
interface U {
    ID: number | string;
}
interface IProps<T extends U> {
    Slice: GenericSlice<T>;
    Selection: T[];
    OnClose: (selected: T[], conf: boolean) => void;
    Show: boolean;
    Searchbar: (children: React.ReactNode) => React.ReactNode;
    Type?: 'single' | 'multiple';
    Columns: Column<T>[];
    Title: string;
    MinSelection?: number;
    children?: React.ReactNode;
}
export default function SelectPopup<T extends U>(props: IProps<T>): JSX.Element;
export {};
