/// <reference types="react" />
import { SystemCenter, Application } from '@gpa-gemstone/application-typings';
import { IAdditionalFieldSlice, IGenericSlice, IUserAccountSlice } from '../SliceInterfaces';
interface IProps {
    UserSlice: IUserAccountSlice;
    AdditionalFieldSlice: IAdditionalFieldSlice<Application.Types.iAdditionalUserField, Application.Types.iAdditionalUserFieldValue>;
    ValueListItemSlice: IGenericSlice<SystemCenter.Types.ValueListItem>;
    ValueListGroupSlice: IGenericSlice<SystemCenter.Types.ValueListGroup>;
    OnUserSelect: (userID: string) => void;
}
declare function ByUser(props: IProps): JSX.Element;
export default ByUser;
